import type { StartOpts } from 'single-spa';
import type { LifeCycles, ObjectType, RegistrableApp } from '../types';
export declare let started: boolean;
export declare const microApps: Array<RegistrableApp<Record<string, unknown>>>;
export declare function registerMicroApps<T extends ObjectType>(apps: Array<RegistrableApp<T>>, lifeCycles?: LifeCycles<T>): void;
export declare function start(opts?: StartOpts): void;
