import type { ParcelConfigObject } from 'single-spa';
import type { AppConfiguration, LifeCycles, LoadableApp, ObjectType } from '../types';
export type ParcelConfigObjectGetter = (remountContainer: HTMLElement) => ParcelConfigObject;
export default function loadApp<T extends ObjectType>(app: LoadableApp<T>, configuration?: AppConfiguration, lifeCycles?: LifeCycles<T>): Promise<ParcelConfigObjectGetter>;
declare const globalAppInstanceStoreKey = "__agii__";
declare global {
    interface Window {
        [globalAppInstanceStoreKey]?: Record<string, number>;
    }
}
export {};
